Skip to main content
POST
/
v1
/
generation
/
video-magic
Submit Video Magic Style Transfer Task
curl --request POST \
  --url https://api.weryai.com/v1/generation/video-magic \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_url": "https://example.com/video.mp4",
  "video_style": "anime_style_3"
}
'
{
  "status": 0,
  "desc": "success",
  "message": "success",
  "data": {
    "batch_id": 123456789,
    "task_ids": [
      "task_abc123"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authenticate using Bearer token. Get your API Key from the WeryAI Console.

Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx

Body

application/json
video_url
string
required

Source video URL

Example:

"https://example.com/video.mp4"

video_style
enum<string>
required

Style to apply to the video

Available options:
realistic_2,
anime_style_3,
anime_style_4
Example:

"anime_style_3"

Response

Task submitted successfully

status
integer

Business status code (0 indicates success)

Example:

0

desc
string

Status description

Example:

"success"

message
string

Multi-language message

Example:

"success"

data
object